<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Wed Aug 14 15:46:14 CEST 2019 -->
<title>XML (dblp.datatools 1.0-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-08-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XML (dblp.datatools 1.0-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.util</a></div>
<h2 title="Class XML" class="title">Class XML</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.util.XML</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">XML</span>
extends java.lang.Object</pre>
<div class="block">Provides helper methods for working with XML.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">XML</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.Iterator&lt;org.w3c.dom.Element&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#elementIterator(org.w3c.dom.NodeList)">elementIterator</a></span>&#8203;(org.w3c.dom.NodeList&nbsp;nodes)</code></th>
<td class="colLast">
<div class="block">Iterates over all nodes of a given document of type Node.ELEMENT_NODE.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPosition(org.w3c.dom.Node,int)">getPosition</a></span>&#8203;(org.w3c.dom.Node&nbsp;node,
           int&nbsp;cutLevels)</code></th>
<td class="colLast">
<div class="block">Returns the position of a node in the form SIBLING_NUMBER.SIBLING_NUMBER.[...] where a "."</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hasAttributeMatchingRegex(org.w3c.dom.Element,java.lang.String,java.lang.String)">hasAttributeMatchingRegex</a></span>&#8203;(org.w3c.dom.Element&nbsp;element,
                         java.lang.String&nbsp;attributeName,
                         java.lang.String&nbsp;regex)</code></th>
<td class="colLast">
<div class="block">Tests if a given element has a certain attribute whose value matches a given regex.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static @NotNull java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rectifyRawXML(java.lang.String)">rectifyRawXML</a></span>&#8203;(java.lang.String&nbsp;rawXML)</code></th>
<td class="colLast">
<div class="block">Rectifies a given raw xml-string to decrease number of parsing errors.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>XML</h4>
<pre>public&nbsp;XML()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="hasAttributeMatchingRegex(org.w3c.dom.Element,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasAttributeMatchingRegex</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;hasAttributeMatchingRegex&#8203;(org.w3c.dom.Element&nbsp;element,
                                                java.lang.String&nbsp;attributeName,
                                                java.lang.String&nbsp;regex)</pre>
<div class="block">Tests if a given element has a certain attribute whose value matches a given regex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - element to test</dd>
<dd><code>attributeName</code> - name of the attribute for which should be tested</dd>
<dd><code>regex</code> - regex to be matched against the attribute-value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the attribute exists and its value matches the specified regex, false else</dd>
</dl>
</li>
</ul>
<a id="elementIterator(org.w3c.dom.NodeList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>elementIterator</h4>
<pre class="methodSignature">public static&nbsp;java.util.Iterator&lt;org.w3c.dom.Element&gt;&nbsp;elementIterator&#8203;(org.w3c.dom.NodeList&nbsp;nodes)</pre>
<div class="block">Iterates over all nodes of a given document of type Node.ELEMENT_NODE.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nodes</code> - a NodeList</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>iterator for all element-type nodes in the document</dd>
</dl>
</li>
</ul>
<a id="getPosition(org.w3c.dom.Node,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;getPosition&#8203;(org.w3c.dom.Node&nbsp;node,
                                           int&nbsp;cutLevels)</pre>
<div class="block">Returns the position of a node in the form SIBLING_NUMBER.SIBLING_NUMBER.[...] where a "."
 shows a parent-child relationship PARENT_LEVEL.CHILD_LEVEL.
 Example:
 <pre>
 <code>
 &lt;thing&gt;
     &lt;property&gt;prop1&lt;/property&gt;
     &lt;property&gt;prop2&lt;/property&gt;
     &lt;property&gt;prop3&lt;/property&gt;
 &lt;/thing&gt;
 </code>
 </pre>
 The node with text-content prop2 would have the position "1.2".
 The function takes a number of levels to skip as a second argument.
 If we knew for example that thing had a parent of which we know that it doesn't come with
 siblings so it would always yield an additional "1." in front of the position-string, we can
 omit that by specifying a cut-level of 1 to reduce for example "1.2.3" to "2.3".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node of which we want to know the position</dd>
<dd><code>cutLevels</code> - levels to cut; "1" would cut "1.3.2" to "3.2"</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the position as string</dd>
</dl>
</li>
</ul>
<a id="rectifyRawXML(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rectifyRawXML</h4>
<pre class="methodSignature">@NotNull
public static&nbsp;@NotNull java.lang.String&nbsp;rectifyRawXML&#8203;(java.lang.String&nbsp;rawXML)</pre>
<div class="block">Rectifies a given raw xml-string to decrease number of parsing errors.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rawXML</code> - the xml-text</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rectified xml</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
